interface StorageProviderAddResult {
    digest: string;
}
interface StorageProviderGetResult {
    data: string;
}
interface StorageProvider {
    add(msg: string): Promise<StorageProviderAddResult>;
    get(digest: string): Promise<StorageProviderGetResult>;
}
interface IpfsStorageProviderSettings {
    host: string;
    port: number;
    protocol?: string;
}
declare class IpfsStorageProvider {
    ipfs: any;
    constructor(settings: IpfsStorageProviderSettings);
    add(msg: string): Promise<StorageProviderAddResult>;
    get(digest: string): Promise<StorageProviderGetResult>;
}
export { StorageProvider, IpfsStorageProvider, IpfsStorageProviderSettings };
